Backoffice Tenant

Create tenant via robot token

POST
/api/v2/backoffice/tenants

Authorization

BearerAuthObject
AuthorizationBearer <token>

Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/backoffice/tenants" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "tier": "custom",    "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",    "name": "string",    "platforms": [      "string"    ]  }'
{  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0"}
Empty
Empty